# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "sensu-json"
  s.version = "2.1.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Sean Porter"]
  s.date = "2017-03-02"
  s.description = "The Sensu JSON parser abstraction library"
  s.email = ["portertech@gmail.com"]
  s.files = ["spec/json_spec.rb", "LICENSE.txt", "README.md", "lib/sensu/json.rb", "lib/sensu/json/jrjackson.rb", "lib/sensu/json/oj.rb", "lib/sensu/json/parse_error.rb", "sensu-json.gemspec"]
  s.homepage = "https://github.com/sensu/sensu-json"
  s.licenses = ["MIT"]
  s.require_paths = ["lib", "spec"]
  s.rubygems_version = "2.0.14.1"
  s.summary = "The Sensu JSON parser abstraction library"

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<oj>, ["= 2.18.1"])
      s.add_development_dependency(%q<bundler>, ["~> 1.6"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, [">= 0"])
    else
      s.add_dependency(%q<oj>, ["= 2.18.1"])
      s.add_dependency(%q<bundler>, ["~> 1.6"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, [">= 0"])
    end
  else
    s.add_dependency(%q<oj>, ["= 2.18.1"])
    s.add_dependency(%q<bundler>, ["~> 1.6"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, [">= 0"])
  end
end

